<template>
  <div class="person-center">
    <div class="person-header">
      <ul class="person-pare">
        <li class="person-left">
          <img src="../assets/defaultHead.png" alt="" class="user-head">
        </li>
        <li class="person-right">
          <h3 class="person-name">{{userName}}</h3>
          <div class="person-desc">
            <span class="person-time">会员到期时间:{{dueDate}}</span>
            <span class="person-go-up">去升级</span>
          </div>
        </li>
      </ul>
    </div>
    <div class="middle-list">
      <ul class="middle-pare">
        <li  class="middle1">
          <span class="mid-tit">学习排行</span>
          <span class="mid-tit-sub">已学懂 <i>{{point}}</i> 个知识点，当前排名 <i>{{place}}</i></span>
        </li>
        <li class="middle1" v-for="item in middleArray" @click="toPages(item.redirect)">
          <span class="mid-tit">{{item.names}}</span>
          <span class="mid-tit-sub">{{item.subName}}</span>

        </li>

      </ul>
    </div>
    <footed :inWhitch="inWhitch"></footed>
  </div>
</template>

<script>
import footed from '../components/footer.vue';
export default {
  name: 'loading',
  data () {
    return {
      heights:window.innerHeight,
      inWhitch:2,
      userName:"陈昊",
      point:1,
      place:"第一",
      dueDate:"2019-10-10",
      middleArray:[{
        names:"最近学习",
        redirect:"recent"
      },{
        names:"我的笔记",
        redirect:"myNote"
      },
      {
        names:"设置",
        redirect:"setting"
      },{
        names:"关于",
        redirect:"about"
      }]
    }
  },
  methods:{
    toPages(url){
        this.$router.push("/"+url);
    }
  },
  components:{
    footed
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
    @import "../styles/base.css";
    @import "../styles/loading.css";
</style>
